Package docking

# Class GlobalMenuAndToolBarManager

java.lang.Object
docking.GlobalMenuAndToolBarManager

All Implemented Interfaces:
  `DockingWindowListener`

public class GlobalMenuAndToolBarManager extends Object implements DockingWindowListener
Class to manage all the global actions that show up on the main tool menubar or toolbar

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalMenuAndToolBarManager(DockingWindowManager windowManager, MenuHandler menuHandler, MenuGroupMap menuGroupMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAction(DockingActionIf action)`
  `void`
  `contextChanged()`
  `void`
  `dispose()`
  `void`
  `dockingWindowAdded(WindowNode windowNode)`
  `void`
  `dockingWindowChanged(WindowNode windowNode)`
  `void`
  `dockingWindowFocusChanged(WindowNode windowNode)`
  `void`
  `dockingWindowRemoved(WindowNode windowNode)`
  `DockingActionIf`
  `getToolbarAction(String actionName)`
  `void`
  `removeAction(DockingActionIf action)`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GlobalMenuAndToolBarManager

    public GlobalMenuAndToolBarManager(DockingWindowManager windowManager, MenuHandler menuHandler, MenuGroupMap menuGroupMap)

- ## Method Details

  - ### addAction

    public void addAction(DockingActionIf action)

  - ### removeAction

    public void removeAction(DockingActionIf action)

  - ### update

    public void update()

  - ### getToolbarAction

    public DockingActionIf getToolbarAction(String actionName)

  - ### dispose

    public void dispose()

  - ### dockingWindowAdded

    public void dockingWindowAdded(WindowNode windowNode)
    Specified by:
      `dockingWindowAdded` in interface `DockingWindowListener`

  - ### dockingWindowRemoved

    public void dockingWindowRemoved(WindowNode windowNode)
    Specified by:
      `dockingWindowRemoved` in interface `DockingWindowListener`

  - ### dockingWindowChanged

    public void dockingWindowChanged(WindowNode windowNode)
    Specified by:
      `dockingWindowChanged` in interface `DockingWindowListener`

  - ### dockingWindowFocusChanged

    public void dockingWindowFocusChanged(WindowNode windowNode)
    Specified by:
      `dockingWindowFocusChanged` in interface `DockingWindowListener`

  - ### contextChanged

    public void contextChanged()